<app-common-header name="Select Signer" btnBackLink="new-interactive"></app-common-header>

<ion-content>
    <ion-item *ngFor="let signer of signers; let i = index;" lines="none">
        <ion-label>
            <p class="index">{{i + 1}}</p>
            <p class="publicKey">{{signer.publicKey}}</p>
            <div class="nameBox">{{signer.name}}</div>
        </ion-label>
        <div class="btnSelect"> <span (click)="onChoose(i)" *ngIf="i!=selectedIndex" tappable>Choose</span></div>
    </ion-item>
</ion-content>